# unix.cpp File Reference

Implementation of Unix specific file handling. More...

`#include "stdafx.h"`
`#include "openttd.h"`
`#include "variables.h"`
`#include "textbuf_gui.h"`
`#include "functions.h"`
`#include "core/random_func.hpp"`
`#include "table/strings.h"`
`#include <dirent.h>`
`#include <unistd.h>`
`#include <sys/stat.h>`
`#include <time.h>`
`#include <signal.h>`

Go to the source code of this file.

## Functions

bool | FiosIsRoot (const char *path)
void | FiosGetDrives ()
bool | FiosGetDiskFreeSpace (const char *path, uint64 *tot)
bool | FiosIsValidFile (const char *path, const struct dirent *ent, struct stat *sb)
bool | FiosIsHiddenFile (const struct dirent *ent)
const char * | FS2OTTD (const char *name)
const char * | OTTD2FS (const char *name)
void | ShowInfo (const char *str)
void | ShowOSErrorBox (const char *buf, bool system)
int CDECL | main (int argc, char *argv[])
bool | InsertTextBufferClipboard (Textbuf *tb)
| Insert a chunk of text from the clipboard onto the textbuffer.
void | CSleep (int milliseconds)

## Detailed Description

Implementation of Unix specific file handling.

Definition in file unix.cpp.

## Function Documentation

bool InsertTextBufferClipboard | ( | Textbuf * | tb | ) |

Insert a chunk of text from the clipboard onto the textbuffer.

Get TEXT clipboard and append this up to the maximum length (either absolute or screenlength). If maxlength is zero, we don't care about the screenlength but only about the physical length of the string

Parameters:

  | tb | Textbuf type to be changed

Returns:
  Return true on successful change of Textbuf, or false otherwise

Definition at line 263 of file unix.cpp.